Subject: Cygwin Bash Script Syntax Question
From: Steve <[email-masked]>
To: [email-masked]
Date: Thu, 24 Apr 2003 11:07:04 -0400

Hi;

I am using cygwin on win2k.
I have a __native__  JDK 1.3 installed.

I am trying to write myself a bash script to do some compiling jobs.
I am having trouble getting some path syntax issues ironed out.

The native java will accept either  C:\FOO\FOO  or C:/FOO/FOO
The native java will not accept /cygdrive/c/FOO/FOO

After some experimentation it seems that bash is getting confused about 
the ':' symbol.  It seems to be interpreting the ':' in C:/foo as a path 
seperator so

PATH=C:/foo:C:/foa

is getting interpreted as specifiying these dirs:
C:/foo
C
foo

Anyway I would like to write a script that would look like this
in a .sh file:

----------------------------------------
export SOURCEDIR=C:/foo
export OUTDIR=C:/foa
export CLASSPATH=C:/abc:C:/def:C:/ghi

javac -sourcepath $SOURCEDIR -d $OUTDIR -classpath $CLASSPATH $1
------------------------------------------

So.....what would the path syntax be like?
Do I use ':' or ';' as directory seperators?
Do I use '/' or '\' ?

I'm sorry if this seems lame but I am getting dizzy from tyring to make 
a native windows installation of java work with a cygwin .sh file

Any help will be appreciated

STeve

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/